VAPIGEN(1)

NAME
vapigen - generate a Vala API

SYNOPSIS
vapigen SOURCE PKGBASE [OPTION]... [FILE]...

DESCRIPTION
vapigen is a utility which generates Vala API (VAPI) files from GI files, which may be generated using the vala-gen-introspect(1) utility.

  Usage:

    vapigen [OPTION???] FILE... - Vala API Generator

  Help Options:

-h, --help
    Show help options

  Application Options:

--vapidir=DIRECTORY...
    Look for package bindings in DIRECTORY

--girdir=DIRECTORY...
    Look for GIR bindings in DIRECTORY

--metadatadir=DIRECTORY...
    Look for GIR .metadata files in DIRECTORY

--nostdpkg
    Do not include standard packages

--pkg=PACKAGE...
    Include binding for PACKAGE

--library=NAME
    Library name

-d, --directory=DIRECTORY
    Output directory

--disable-warnings
    Disable warnings

--version
    Display version number

-q, --quiet
    Do not print messages to the console

BUGS
https://gitlab.gnome.org/GNOME/vala/issues

HOMEPAGE OR CONTACT
https://vala.dev

AUTHORS
J??rg Billeter, Raffaele Sandrini.

EXAMPLES
After compilation, the following command generates a GI for pango: vala-gen-introspect pango packages/pango

This can then be converted to a Vala API as follows:
    vapigen --pkg cairo --vapidir . --library pango packages/pango/pango.gi

SEE ALSO
vala-gen-introspect (1)